/*
 * @Author: chris
 * @Date: 2026-01-20 15:56:37
 * @LastEditors: chris
 * @LastEditTime: 2026-01-20 16:24:54
 */
import request from "@/utils/request";

// 获取推送设置列表
export function listPushPlatform() {
  return request({
    url: "/business/alarm-setting/list",
    method: "get",
  });
}

// 获取推送模板列表
export function listPushTemplate() {
  return request({
    url: "/business/alarm-template/list",
    method: "get",
  });
}

// 更新推送设置
export function updatePushPlatform(data) {
  return request({
    url: "/business/alarm-setting",
    method: "put",
    data,
  });
}

// 更新推送模板
export function updatePushTemplate(data) {
  return request({
    url: "/business/alarm-template",
    method: "put",
    data,
  });
}
